package com.ruoyi.project.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.ruoyi.project.domain.TrsPolicyResults;

/**
 * 政治常识监测Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-24
 */
public interface TrsPolicyResultsMapper 
{
    /**
     * 查询政治常识监测
     * 
     * @param id 政治常识监测主键
     * @return 政治常识监测
     */
    public TrsPolicyResults selectTrsPolicyResultsById(Long id);

    /**
     * 查询政治常识监测列表
     * 
     * @param trsPolicyResults 政治常识监测
     * @return 政治常识监测集合
     */
    public List<TrsPolicyResults> selectTrsPolicyResultsList(TrsPolicyResults trsPolicyResults);

    /**
     * 新增政治常识监测
     * 
     * @param trsPolicyResults 政治常识监测
     * @return 结果
     */
    public int insertTrsPolicyResults(TrsPolicyResults trsPolicyResults);

    /**
     * 修改政治常识监测
     * 
     * @param trsPolicyResults 政治常识监测
     * @return 结果
     */
    @InterceptorIgnore(tenantLine = "true")
    public int updateTrsPolicyResults(TrsPolicyResults trsPolicyResults);

    /**
     * 删除政治常识监测
     * 
     * @param id 政治常识监测主键
     * @return 结果
     */
    public int deleteTrsPolicyResultsById(Long id);

    /**
     * 批量删除政治常识监测
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTrsPolicyResultsByIds(String[] ids);

    Map<String, Integer> getStatistics(TrsPolicyResults trsSensitiveResults);

    @InterceptorIgnore(tenantLine = "true")
    Long selectId(String datakey);
}
